<!DOCTYPE html>
<html lang="en">

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Asset-Request</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
        <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
        <link rel="stylesheet" href="../../../dist/css/main.css" type="text/css" />
        <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
    </head>

<body>
        <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">My Asset</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MY ASSETS</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALs</a>
                    </li>
                </ul>

            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabsScreen">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                       <a href="#">
                                          <div  data-toggle="tooltip" title="Back" data-placement="top" class="backButton d-flex align-items-center">
                                             <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                                <path fill="#000000"
                                                   d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                                </path>
                                             </svg>
                                          </div>
                                       </a><span class="pipe"></span>
                                       <h3>New Asset Requisition</h3>
                                    </div>
                                 </div>

                                 <div class="content" id="asset">

                               
                                    <div class="radioButttonStyling mb-4">
                                        <label class="topLabel">Request For</label>
                                        <label for="opt1" class="radio ">
                                            <input type="radio" name="asset-request-for" id="opt1" checked class="hidden" />
                                            <span class="label"></span>New
                                        </label>

                                        <label for="opt2" class="radio">
                                            <input type="radio" name="asset-request-for" id="opt2" class="hidden" />
                                            <span class="label"></span>Upgrade
                                        </label>
                                        <label for="opt3" class="radio">
                                            <input type="radio" name="asset-request-for" id="opt3" class="hidden" />
                                            <span class="label"></span>Repair
                                        </label>
                                    </div>
                                    <div id="addForm">
                                        <div class="row no-padding">
                                            <div class="fields mr-4 mb-4">
                                                <label for="courseType" class="labelGroup">Asset Type  <span
                                                        class="mandatorySign">*</span></label>
                                                <select  class="mandatory"id="courseType" name="courseType">
                                                    <option value="" selected="selected" hidden="hidden">Select the
                                                        type of asset</option>
                                                    <option value="webinar">Mouse</option>
                                                    <option value="certification">Computer</option>
                                                </select>
                                            </div>
                                            <div class="fields">
                                                <label class="labelGroup" for="courseLevel">Asset  <span
                                                        class="mandatorySign">*</span></label>
                                                <select class="mandatory" id="level" name="level">
                                                    <option value="" selected="selected" hidden="hidden">Select an
                                                        asset</option>
                                                    <option value="Beginner">Logitech Y720</option>
                                                    <option value="Intermediate">Dell S140</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="row no-padding">
                                            <div class="fields mr-4">
                                                <label class="labelGroup" for="addititonalConfigurations">Addititonal
                                                    Configurations  <span
                                                        class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="addititonalConfigurations" cols="20" rows="10"
                                                    placeholder="Enter the additional Configuration" id="addititonalConfigurations"></textarea>
                                            </div>
                                            <div class="fields mr-4">
                                                <label class="labelGroup" for="accesoriesRequired">Accesories Required <span
                                                        class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="accesoriesRequired" cols="20" rows="10" placeholder="Enter the accesories required"
                                                    id="accesoriesRequired"></textarea>
                                            </div>
											 <div class="fields">
                                                <label class="labelGroup" for="reasonRemarks">Reason Required <span
                                                        class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="reasonRemarks" cols="20" rows="10" placeholder="Enter the accesories required"
                                                    id="reasonRemarks"></textarea>
                                            </div>
                                        </div>
                                    </div>
                            
                                    <div> 
                                        <button class="oct-btn oct-btn-primary mr-2 mt-4" onclick="formValidations('addForm');">Submit</button>
                                    </div>
                         
                            </div>

                            </div>

                        </div>

                    </div>


                    <!-- / tabs_item -->
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <h3 class="detailLearn">Pending Approvals</h3>
                                    </div>

                                </div>
                                <div class="table-responsive table-striped table-striped table-hover">
                                    <table class="innerTable">
                                        <tr>
                                            <th class="trHead tableCheckbox"><input type="checkbox" class="case" id="selectall" />
                                            </th>
                                            <th class="trHead">REQUEST NO.</th>
                                            <th class="trHead">REQUESTED BY</th>
                                            <th class="trHead">REQUESTED DATE</th>
                                            <th class="trHead">ASSET TYPE</th>
                                            <th class="trHead">ASSET NAME</th>
                                            <th class="trHead">CONFIGURATION</th>
                                            <th class="trHead">Reason</th>
                                        </tr>
                                        <tr>
                                            <td><input type="checkbox"  onclick="onCheck()" class="case" name="case"
                                                    value="12" /></td>
                                            <td><a href="#cancelRequestNo2" rel="modal:open">TR18/00001158</a></td>
                                            <td>
                                                <a href="#">
                                                    <span class="user_review"><img src="../../../dist/images/sachin.png"
                                                            alt="sachin_user"></span>Sachin
                                                    Shah</a>
                                            </td>
                                            <td>
                                                Mar 12
                                            </td>
                                            <td>Mouse</td>
                                            <td>Logitech M170</td>
                                            <td>M170 Wireless</td>
                                            <td>Need one for graphic design</td>

                                        </tr>
                                        <tr>
                                            <td><input type="checkbox"  onclick="onCheck()" class="case" name="case"
                                                    value="22" /></td>
                                            <td><a href="#">TR18/00001158</a></td>
                                            <td>
                                                <a href="#">
                                                    <span class="user_review"><img src="../../../dist/images/amik.png"
                                                            alt="amik_user"></span>Amik
                                                    Desai</a>
                                            </td>
                                            <td>
                                                Mar 6
                                            </td>
                                            <td>Computer</td>
                                            <td>Lenovo Y530</td>
                                            <td>8gb RAM, 1tb hd...</td>
                                            <td>Current device lags a lot.</td>
                                        </tr>
                                    </table>
                                </div>

                                <a href="#learningApprove1" rel="modal:open"><button id="approve" class="oct-btn oct-btn-primary mt-4 mb-4" disabled>Approval</button></a>
                                <a href="#learningreject" rel="modal:open"> <button id="reject" class="oct-btn oct-btn-outline mt-4 mb-4" disabled>Reject</button></a>

                            </div>

                        </div>

                    </div>


                </div>
                <!-- / tab -->
            </div>
        </div>


        <div style="width: auto !important;" id="learningApprove1" class="modal octanePopup">
            <h4>Approve</h4>

            <div class="form-group">
                <div style="height: 110px;" class="row marginNone">
                    <div class="fields">
                        <label class="labelGroup mt-4">Description</label>
                        <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                            placeholder="Please enter comments"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                    <button onclick="formValidations('learningApprove1');" type="button" id="approveBtn"
                        class="oct-btn oct-btn-primary mt-0">Submit</button>
                    <button class="clearButton mt-1" type="button"
                        onclick="clearForm('learningApprove1','yes');">Clear</button>
                </div>

            </div>
        </div>
        <div style="width: auto !important;" id="learningreject" class="modal octanePopup">
            <h4>Reject</h4>
            <div class="form-group">
                <div style="height: 110px;" class="row marginNone">
                    <div class="fields">
                        <label class="labelGroup mt-4">Reason for rejection <span class="mandatorySign">*</span></label>
                        <textarea class="mandatory" name="reason" id="reason" cols="75" rows="5"
                            placeholder="Please state the reason for rejecting the request"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                    <button onclick="formValidations('learningreject');" type="button" id="approveBtn"
                        class="oct-btn oct-btn-primary mt-0">Submit</button>
                    <button class="clearButton mt-1" type="button"
                        onclick="clearForm('learningreject','yes');">Clear</button>

                </div>

            </div>
        </div>

        
        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
		<script src="../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../dist/js/topbar.js"></script>
          
        <script src="../../../dist/js/octane.js"></script>
   <script>
	// Start multiple select / deselect functionality
	$("#selectall").click(function () {
		$('.case').prop('checked', this.checked);
		let checkboxLen = $('.case:checked').length;
		console.log(checkboxLen);
		if (checkboxLen >= 1) {
			$('#approve,#reject').removeAttr('disabled');
		}
		if (checkboxLen == 0) {
			$('#approve,#reject').attr('disabled', 'disabled');
		}
	});
	// if all checkbox are selected, check the selectall checkbox  also        
$(".case").click(function () {
    let checkboxLen = $('.case:checked').length;
    if ($(".case").length == checkboxLen) {

        $("#selectall").prop("checked", true);
    } else {

        $("#selectall").prop("checked", false);
    }
});

function onCheck() {
    let checkboxLen = $('.case:checked').length;

    if (checkboxLen == 0) {
        $('#approve,#reject').attr('disabled', 'disabled');

    }
    if (checkboxLen == 1) {
        $('#approve,#reject').removeAttr('disabled');
    }

}
	</script>
</body>

</html>